Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 2.1.2
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003074Zandronum[All Projects] Bugpublic2017-04-18 20:232017-05-04 20:20
ReporterCutman 
Assigned ToTorr Samaho 
PriorityurgentSeveritymajorReproducibilityalways
StatusassignedResolutionopen 
PlatformOSWindowsOS Version10
Product Version3.0-beta 
Target Version3.0Fixed in Version 
Summary0003074: Major FPS drops (unplayable) in OpenGL
DescriptionSome users are getting FPS drops in the latest beta (not sure if it was happening in previous betas, they did not try those) making the game unplayable. The game goes to an absolute crawl while it is in progress (being paused in the menus appears to work fine).

Video of it happening here after trying to start the game from the menu:https://www.youtube.com/watch?v=muHE1QCQ2Ic [^]
Steps To ReproduceApparently just starting the game from the menu causes the massive fps drop. Happens in both mm8bdm and doom.
Additional InformationI have acquired logfiles from both persons who are having this issue. First from 2.1.2 where they are not getting the issue, and the second in 3.0 beta.
Attached Fileszip file icon opengltests.zip [^] (18,216 bytes) 2017-04-18 20:23

- Relationships
related to 0003116new Huge lag on intel hd 4000 when I turn the player camera left,right up or down 

-  Notes
User avatar (0017213)
Torr Samaho (administrator)
2017-04-19 06:00

Both logs show that a compatibility mode is triggered in 2.1.2, but not in 3.0.

Are both using the latest GPU driver available on for their system? Does GZDoom 1.8.6 have the same problem for them?
User avatar (0017245)
Cutman (reporter)
2017-04-21 19:01

They both tell me their graphics drivers are up to date. Also GZdoom 1.8.6 runs fine for both of them.
User avatar (0017247)
Torr Samaho (administrator)
2017-04-22 08:55

Does it make a difference if Zandronum is started with Doomseeker to join a server or if it's started manually for single player? Does it help to start with a clean ini?
User avatar (0017250)
Cutman (reporter)
2017-04-22 12:10

I already told them to try a fresh ini, no changes. They get the same thing when trying to join a server.

Also for reference, their computers/laptops are both using Intel(R) HD Graphics 4000.
User avatar (0017252)
Torr Samaho (administrator)
2017-04-22 12:33

It's strange that 3.0 is behaving differently from GZDoom 1.8.6. Can you also provide the startup logs from GZDoom 1.8.6?

Regarding the drivers, according to the readme this driver is a newer driver for the one of them with the Core i7-3520M.
User avatar (0017255)
Cutman (reporter)
2017-04-22 12:57
edited on: 2017-04-22 12:57

Here is the log for one of them (slash) in GZdoom 1.8.6, running fine https://hastebin.com/yisoyihawe.sql [^]

User avatar (0017256)
Torr Samaho (administrator)
2017-04-22 13:07

The GZDoom log shows a different resolution (1280 x 768 vs 1360 x 768) and also only loads doom2.wad. Can he run 3.0 with exactly the same settings and wads as GZDoom 1.8.6 and also starting it the same way, i.e. clicking on the exe if that is how he starts GZDoom? Preferably, even with the same ini, i.e. just copy and rename the GZDoom ini to the Zandronum 3.0 folder.
User avatar (0017257)
Cutman (reporter)
2017-04-22 13:33

Ok I instructed him to drop the Zandronum beta in there, rename the ini file and run the game. It had the FPS drop issue.https://hastebin.com/kuredaziso.erl [^]
User avatar (0017258)
Torr Samaho (administrator)
2017-04-22 14:06

That's really weird. The GL code in 3.0 and GZDoom 1.8.6 is almost identical. Can he test whether this binary behaves differently? It further reduces the GL differences, but it's really just a shot in the dark.
User avatar (0017259)
Cutman (reporter)
2017-04-22 15:44

Same issue with that build
User avatar (0017260)
Torr Samaho (administrator)
2017-04-22 16:48

Is this any different? If not, can you check if any of the older 3.0 builds works better?
User avatar (0017261)
Cutman (reporter)
2017-04-22 17:19

No different, so I started handing him the older builds starting from the oldest. They worked fine up until this one where the issue started happening:https://zandronum.com/downloads/testing/3.0/ZandroDev3.0-151228-1140windows.zip [^]
User avatar (0017262)
Torr Samaho (administrator)
2017-04-22 17:28

151228-1140 is the first version for which we used VC++ 2015, so it may actually be caused by the compiler change. I'll compile GZDoom 1.8.6 with VC++ 2015 and we can check whether that still works.
User avatar (0017263)
Torr Samaho (administrator)
2017-04-22 17:42

Here is GZDoom 1.8.6 compiled with VC++ 2015. Please check if that is the same as the recent 3.0 builds.
User avatar (0017307)
Cutman (reporter)
2017-04-24 06:53

Just confirmed that the issue is present with that GZDoom build.
User avatar (0017311)
Torr Samaho (administrator)
2017-04-24 19:22

Ok, this explains why I couldn't find any significant source code differences between GZDoom 1.8.6 and Zandronum 3.0, but puts us in a very difficult situation. It would have been much better if these users hadn't ignored our betas for [bold]1.5 years[/bold]. Since nobody reported problems with the VC++ 2015 builds, we dropped VC++ 2005 support long ago.

Here is GZDoom 1.8.6 compiled with VC++ 2010. Please check whether this has the issue. Zandronum is not compatible with that VC++ version anymore either, but it would be more realistic to make it work with this version than with the ancient 2005 version.
User avatar (0017312)
Cutman (reporter)
2017-04-24 19:46

That build has the issue too.

To be honest I thought this was just going to be a case of "oh these guys are just using a bad windows 10 patch, use this instead". Also a lot of us have been using the beta for a very long time, but the ones that reported this issue are mostly casual players of 8bdm. If it wasn't for TSPG forcing the betas onto everyone we wouldn't have caught things like this. Perhaps we need this to happen more often, or at least hold fun events using the beta or something.
User avatar (0017313)
Torr Samaho (administrator)
2017-04-24 20:02

Quote from Cutman
To be honest I thought this was just going to be a case of "oh these guys are just using a bad windows 10 patch, use this instead".

It's really hard to tell what's going on. It's not impossible that just a recent Windows patch triggered the issue, but without testing older Windows 10 versions, we can't tell. My guess is that it's a bug in the Intel GPU driver, which is coincidentally not triggered by the VC++ 2005 builds. AFAIK both of these GPUs are out of support, so even if it's a driver bug, it's unlikely that Intel will fix this. Blzut3 tested this on a newer Intel GPU, which also has a newer driver, and it's working just fine.

Do you know whether the latest GZDoom version works on these GPUs?

Quote from Cutman

Perhaps we need this to happen more often, or at least hold fun events using the beta or something.

Yeah, we should do that more often.
User avatar (0017314)
Cutman (reporter)
2017-04-24 20:30

I got them both to try the latest version of GZDoom. The first person (Gamester) said it ran fine in OpenGL. The other person (Slash) got an error upon trying to boot the game up.http://imgur.com/a/k5jOB [^]
User avatar (0017316)
StrikerMan780 (reporter)
2017-04-25 03:46
edited on: 2017-04-25 03:58

A friend of mine updated to the Windows 10 Creator's Update, and that's been causing issues for them with Zandronum 3.0 ever since.

He's running on NVidia hardware. New update may have revealed a bug in the driver?

User avatar (0017317)
Torr Samaho (administrator)
2017-04-25 06:00
edited on: 2017-04-25 06:03

Cutman, are both of them using the Windows 10 Creator's Update, too?

Quote from StrikerMan780

He's running on NVidia hardware. New update may have revealed a bug in the driver?

Which GPU and driver version is he using? I have no problems with a GTX 760 and the Creator's Update, but NVIDIA released a driver update when the Creator's Update was released, so I don't know whether I would have problems without that driver update.

BTW: Is anybody with the OpenGL problems using the game mode of Creator's Update? Does toggling it make any difference?

User avatar (0017321)
StrikerMan780 (reporter)
2017-04-25 19:01
edited on: 2017-04-25 19:19

381.65 is the version he's using. Not sure which card, I'll ask him.

EDIT: GTX 970.

User avatar (0017323)
Torr Samaho (administrator)
2017-04-25 19:10

I'm also using 381.65, but just noticed that 381.89 was released today.
User avatar (0017329)
ibm5155 (reporter)
2017-04-25 23:25

Did he reinstalled the nvidia drivers? because I heard microsoft just reseted all gpu drivers and installed stock ones on top of the ones that were installed when those big windows 10 updates happens.
I noticed that twice because all the stock drivers from my amd gpu fight against the intel one by the control of screen, but only the intel one can control it, so in the end its a mess...

about opengl, it could be tested that opengl command that forces zandronum/gzdoom to use a specific set of opengl features.
Cant remember the arg but setting it to opengl 3 was the only way I could play the new qzdoom builds without glitches
User avatar (0017357)
StrikerMan780 (reporter)
2017-04-27 02:32
edited on: 2017-04-27 02:43

381.89 Doesn't fix it. Had to roll back to a driver released in december to get the game to only run for a short period before hanging.

11:29 PM - <=LSP=> Arced xi lo: Had to roll back the gpu drivers back to a December build just to be able to get zandro to work for a few minutes.
11:30 PM - [SM] Striker: Still only works for a few minutes?
11:30 PM - <=LSP=> Arced xi lo: The new updates cause Hadoop and zandro to hang and crash on start up.
11:30 PM - <=LSP=> Arced xi lo: Yup
11:30 PM - <=LSP=> Arced xi lo: The game will work, but will freeze and crash at some point

This seems to be a problem plaguing a ton of OpenGL games and apps after the Creator's update... apparently some DirectX9 titles as well. Hell, it's even affecting Teamspeak right now, and OBS too.http://forum.teamspeak.com/threads/130757-Client-won-t-start-after-lastest-NVIDIA-driver-381-65/page2 [^]

User avatar (0017358)
Cutman (reporter)
2017-04-27 05:12

Gamester is not running the windows 10 creator update and is getting the issue. I also told him to try uninstalling and reinstalling his nvidia drivers just to be sure and still has the issue.
User avatar (0017359)
Torr Samaho (administrator)
2017-04-27 06:03

Sounds as if this are at least two different problems then. Striker, does your friend also have problems with Zandronum 2.1.2 or is that still working?
Quote from Cutman

I also told him to try uninstalling and reinstalling his nvidia drivers just to be sure and still has the issue.

Is this a typo and you mean Intel drivers or does he actually also have an NVIDIA GPU? We had someone who had both Intel and NVIDIA GPUs and Zandronum stopped using the NVIDIA one, which caused performance problems.
User avatar (0017360)
Cutman (reporter)
2017-04-27 06:14
edited on: 2017-04-27 06:20

Gamester (who I asked to reinstall) is the one with the NVIDIA GeForce GT 630M + Intel(R) HD Graphics 4000.

Slash is purely running on his Intel(R) HD Graphics 4000 (AFAIK, I'll ask to be sure).

User avatar (0017361)
Torr Samaho (administrator)
2017-04-27 06:32
edited on: 2017-04-27 06:32

Then Gamester definitely should configure his system to use the NVIDIA GPU instead of the Intel one. See 0003043 for a similar case.

User avatar (0017364)
Cutman (reporter)
2017-04-27 14:50

Nice, it worked for him! Do we know why this is happening? I am happy to redirect people to a guide on how to fix it but we can't expect every new user of the port to go looking for answers in the right places.

Also Slash is still having the issue and only has his on board Intel(R) HD Graphics 4000 to work with.
User avatar (0017389)
StrikerMan780 (reporter)
2017-04-29 04:36

Anyone here running QEffectsGL? Apparently the Creator's Update broke that in particular for him and is what was causing his problems.
User avatar (0017403)
Cutman (reporter)
2017-04-29 15:21

Slash does not have the Creator's update it seems.
User avatar (0017404)
Torr Samaho (administrator)
2017-04-29 15:35

Quote from Cutman
Nice, it worked for him! Do we know why this is happening?

The only thing I'm rather sure of is that it's not Zandronum's fault ;). The OS decides based on the installed drivers which GPU is used for OpenGL. I'd assume that it's the job of the NVIDIA driver to make sure that the NVIDIA GPU is used.

Quote from Cutman
Also Slash is still having the issue and only has his on board Intel(R) HD Graphics 4000 to work with.

I still suspect that it's a bug of his GPU drivers, but I have no idea how to work around this.
User avatar (0017405)
Cutman (reporter)
2017-04-29 15:44

Alright, I'll just tell him to play around with his drivers see if he can get it working properly. If he does I'll post the solution here in case anyone else gets it.
User avatar (0017406)
Torr Samaho (administrator)
2017-04-29 15:48

It also won't hurt to ask if Graf has any idea or to ask at a specialized Intel GPU support forum.
User avatar (0017491)
Torr Samaho (administrator)
2017-05-01 18:33
edited on: 2017-05-01 18:34

Cutman, can you ask slash Slash to check if "vid_fps 1" changes anything. For some strange reason this made a difference for ibm5155, see 0003116:0017456.

User avatar (0017494)
Cutman (reporter)
2017-05-01 18:45

It fixed it for him! He said he has to type it in on the console every time the game starts (not sure if that's something his end) but it resolved the issue.
User avatar (0017497)
Torr Samaho (administrator)
2017-05-01 18:57

vid_fps is a CVAR that is not archived in the ini. That's why he has to set it every time. He should be able to add "+vid_fps 1" as custom parameter in the launcher he is using to activate it automatically.

That fact that showing the FPS counter fixes the performance issue is weird though, but a driver bug could explain it.
User avatar (0017504)
ibm5155 (reporter)
2017-05-01 21:11

So it's related to my ticket:http://zandronum.com/tracker/view.php?id=3116 [^]

vid_fps 1 AND cl_cap 1 fixed the major lag here (cl_cap being good that you do not need to set up it every time)
Also here's the vĂ­deo about that happening here:https://www.youtube.com/watch?v=Sw7w0JtpcUw [^]

The only drawnback about driver update is: it looks like intel descontinued his intel hd 4000 driver update (the last update was from 03 - 2016)

A good side is that the latest gzdoom/qzdoom ports doesnt suffer from that.
AND I need to test some newer builds than 1.8.6 to see if things stay as laggy as is D:
User avatar (0017535)
The OVNI (reporter)
2017-05-03 03:49

i have the same problem but i'm unsing windows 10 with creators update and my gpu is an NVIDIA gtx 550 TI (the drivers are 100% updated)and still getting those badly fps drops :/ only in this game.
User avatar (0017537)
Torr Samaho (administrator)
2017-05-03 06:16

Quote from The OVNI

i have the same problem but i'm unsing windows 10 with creators update and my gpu is an NVIDIA gtx 550 TI (the drivers are 100% updated)and still getting those badly fps drops :/ only in this game.

Are you using QEffectsGL like mentioned in 0003074:0017389?
User avatar (0017549)
ibm5155 (reporter)
2017-05-04 20:20

gzdoom 1.5 and lower has 0fps in both windowed and fullscreen mode, but you can see everything.



gzdoom 1.8.5 and later runs ok (no 0fps), BUT the screen is black.
in windowed mode the game Works fine.

something near 2.3.0 fixed the black screen, but the titlepic is just black.

the version that Works fine is 3.0

Now the results.

The results in some cases are a bit random where one shows nothing and in the second try it shows somethign on screen.

Issue Community Support
Only registered users can voice their support. Click here to register, or here to log in.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2017-04-18 20:23 Cutman New Issue
2017-04-18 20:23 Cutman File Added: opengltests.zip
2017-04-19 06:00 Torr Samaho Note Added: 0017213
2017-04-19 06:00 Torr Samaho Status new => feedback
2017-04-21 19:01 Cutman Note Added: 0017245
2017-04-21 19:01 Cutman Status feedback => new
2017-04-22 08:55 Torr Samaho Note Added: 0017247
2017-04-22 08:55 Torr Samaho Status new => feedback
2017-04-22 12:10 Cutman Note Added: 0017250
2017-04-22 12:10 Cutman Status feedback => new
2017-04-22 12:33 Torr Samaho Note Added: 0017252
2017-04-22 12:57 Cutman Note Added: 0017255
2017-04-22 12:57 Cutman Note Edited: 0017255 View Revisions
2017-04-22 13:07 Torr Samaho Note Added: 0017256
2017-04-22 13:33 Cutman Note Added: 0017257
2017-04-22 14:06 Torr Samaho Note Added: 0017258
2017-04-22 15:44 Cutman Note Added: 0017259
2017-04-22 16:48 Torr Samaho Note Added: 0017260
2017-04-22 17:19 Cutman Note Added: 0017261
2017-04-22 17:28 Torr Samaho Note Added: 0017262
2017-04-22 17:42 Torr Samaho Note Added: 0017263
2017-04-23 19:00 Torr Samaho Assigned To => Torr Samaho
2017-04-23 19:00 Torr Samaho Status new => feedback
2017-04-23 20:34 Torr Samaho Target Version => 3.0
2017-04-24 06:53 Cutman Note Added: 0017307
2017-04-24 06:53 Cutman Status feedback => assigned
2017-04-24 19:22 Torr Samaho Note Added: 0017311
2017-04-24 19:22 Torr Samaho Status assigned => feedback
2017-04-24 19:46 Cutman Note Added: 0017312
2017-04-24 19:46 Cutman Status feedback => assigned
2017-04-24 20:02 Torr Samaho Note Added: 0017313
2017-04-24 20:30 Cutman Note Added: 0017314
2017-04-25 03:46 StrikerMan780 Note Added: 0017316
2017-04-25 03:47 StrikerMan780 Note Edited: 0017316 View Revisions
2017-04-25 03:58 StrikerMan780 Note Edited: 0017316 View Revisions
2017-04-25 06:00 Torr Samaho Note Added: 0017317
2017-04-25 06:03 Torr Samaho Note Edited: 0017317 View Revisions
2017-04-25 19:01 StrikerMan780 Note Added: 0017321
2017-04-25 19:10 Torr Samaho Note Added: 0017323
2017-04-25 19:19 StrikerMan780 Note Edited: 0017321 View Revisions
2017-04-25 23:25 ibm5155 Note Added: 0017329
2017-04-27 02:32 StrikerMan780 Note Added: 0017357
2017-04-27 02:42 StrikerMan780 Note Edited: 0017357 View Revisions
2017-04-27 02:43 StrikerMan780 Note Edited: 0017357 View Revisions
2017-04-27 05:12 Cutman Note Added: 0017358
2017-04-27 06:03 Torr Samaho Note Added: 0017359
2017-04-27 06:14 Cutman Note Added: 0017360
2017-04-27 06:16 Cutman Note Edited: 0017360 View Revisions
2017-04-27 06:20 Cutman Note Edited: 0017360 View Revisions
2017-04-27 06:32 Torr Samaho Note Added: 0017361
2017-04-27 06:32 Torr Samaho Note Edited: 0017361 View Revisions
2017-04-27 14:50 Cutman Note Added: 0017364
2017-04-29 04:36 StrikerMan780 Note Added: 0017389
2017-04-29 15:21 Cutman Note Added: 0017403
2017-04-29 15:35 Torr Samaho Note Added: 0017404
2017-04-29 15:44 Cutman Note Added: 0017405
2017-04-29 15:48 Torr Samaho Note Added: 0017406
2017-05-01 18:33 Torr Samaho Note Added: 0017491
2017-05-01 18:33 Torr Samaho Note Edited: 0017491
2017-05-01 18:34 Torr Samaho Note Edited: 0017491
2017-05-01 18:34 Torr Samaho Note Edited: 0017491 View Revisions
2017-05-01 18:34 Torr Samaho Note Revision Dropped: 17491: 0010510
2017-05-01 18:34 Torr Samaho Note Revision Dropped: 17491: 0010511
2017-05-01 18:34 Torr Samaho Note Revision Dropped: 17491: 0010512
2017-05-01 18:45 Cutman Note Added: 0017494
2017-05-01 18:57 Torr Samaho Note Added: 0017497
2017-05-01 21:11 ibm5155 Note Added: 0017504
2017-05-01 21:17 Torr Samaho Relationship added related to 0003116
2017-05-03 03:49 The OVNI Note Added: 0017535
2017-05-03 06:16 Torr Samaho Note Added: 0017537
2017-05-04 20:20 ibm5155 Note Added: 0017549






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker